/******************************************************************************/
//    File Name     : Model2Param.java
//                            Java Applet source file
//    Name          : Yoshiyuki Tanaka
//                    (e-Mail : tanaka_y@jaist.ac.jp)
//    Class Name    :     1.Model2Param()
/******************************************************************************/

/******************************************************************************/
//                                  IMPORT
/******************************************************************************/
import java.awt.*;

/******************************************************************************/
//    Class Name    : Model2Param
/******************************************************************************/
public class Model2Param{

    /***** VALUE DATA *****/
    protected static int  R      = 36;
    protected static int  d      = 6;
    protected static int  n      = 10;
    protected static int  m0     = 1;
    protected static int  ref    = 6;
    protected static int  p      = 10;

    protected static Color exccolor = new Color(60, 0, 0);
    protected static Color refcolor = new Color(200,200,200);
    protected static Color reccolor = new Color(240,240,240);

    /***** CONSTRUCTOR *****/
    Model2Param(){}

    /***** METHOD DATA *****/
    /**************************************************************************/
    //    Method Name   : set
    /**************************************************************************/
    public void setR     (int _R)    { this.R      = _R   ;}
    public void setd     (int _d)    { this.d      = _d   ;}
    public void setn     (int _n)    { this.n      = _n   ;}
    public void setm0    (int _m0)   { this.m0     = _m0  ;}
    public void setref   (int _ref)  { this.ref    = _ref ;}
    public void setp     (int _p)    { this.p      = _p   ;}

    /**************************************************************************/
    //    Method Name   : get
    /**************************************************************************/
    public int   getR     (){ return this.R     ;}
    public int   getd     (){ return this.d     ;}
    public int   getn     (){ return this.n     ;}
    public int   getm0    (){ return this.m0    ;}
    public int   getref   (){ return this.ref   ;}
    public int   getp     (){ return this.p     ;}

    /**************************************************************************/
    //    Method Name   : getexccolor()
    //    Method Name   : getreccolor()
    //    Method Name   : getrefcolor()
    /**************************************************************************/
    public Color getexccolor(){ return this.exccolor ;}
    public Color getreccolor(){ return this.reccolor ;}
    public Color getrefcolor(){ return this.refcolor ;}

}


/**** END_of_file: Model2Param.java **************************************************/
